# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchgit, tup }:
stdenv.mkDerivation rec {
  pname = "show_input";
  version = "0.1.0";

  src = fetchgit {
    url = "https://git.sr.ht/~ehmry/show_input";
    rev = "v" + version;
    sha256 = "sha256-xgbZfCN8nszIw0PccLhxlT/AC/84HMwByP7K24hlsHA=";
  };

  nativeBuildInputs = [ tup ];

  installPhase = "install -Dm755 {.,$out}/${pname}";

  meta = with stdenv.lib; {
    license = licenses.agpl3;
    maintainers = [ maintainers.ehmry ];
  };

}
